/* Mobile-menu */
.rtl .mobile-menu,
.rtl .mobile-menu ul, .rtl .mobile-menu ul li { text-align: right; }
.rtl .mobile-menu.nav-is-visible{
    animation-name:rtl-anime-slidein-right;
}
@keyframes rtl-anime-slidein-right {
    0% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}
.rtl .mobile-menu ul li { float: right; width: 100%; }
.rtl .mobile-nav-offcanvas-right .mobile-menu { left: 0; right: auto; }
.rtl .mobile-nav-offcanvas-left .mobile-menu { right: 0; left: auto; -webkit-transform: translateX(100%); transform: translateX(100%); }
.rtl .mobile-menu.is-hidden, .rtl .mobile-menu > ul.is-hidden, .rtl .mobile-menu > ul li ul.is-hidden, .rtl .mobile-menu ul.sub-menu.is-hidden,
.rtl .mobile-menu ul.sub-menu li ul.is-hidden { -webkit-transform: translateX(-100%); transform: translateX(-100%); }
.rtl .mobile-menu, .rtl .mobile-menu > ul, .rtl .mobile-menu > ul ul.children,
.rtl .mobile-menu > ul ul.sub-menu, .rtl .mobile-menu > ul ul.children > li > ul,
.rtl .mobile-menu > ul ul.sub-menu > li > ul {left: 0!important; right: auto!important;}
.rtl .mobile-menu li[class*="has-children"] > a:before,
.rtl .mobile-menu li[class*="has_children"] > a:before{ left: 12px; right: auto;}
.rtl .mobile-menu ul li.go-back a:before { right: 15px; left: auto;  -webkit-transform: translateY(-50%) scaleX(-1); transform: translateY(-50%) scaleX(-1);}
.rtl .mobile-menu ul li.go-back a:hover:before { right: 10px;  left: auto;}
.rtl .mobile-menu li[class*="has-children"] > a:hover:before,
.rtl .mobile-menu li[class*="has_children"] > a:hover:before { left: 8px;  right: auto;}
.rtl .mobile-menu ul li.go-back a:after { right: 25px; left: auto;}
.rtl .mobile-menu ul li.go-back a:hover:after { right: 15px; left: auto; }
.rtl .mobile-menu li[class*="has-children"] > a:after,
.rtl .mobile-menu li[class*="has_children"] > a:after { left: 18px; right: auto; }
.rtl .mobile-menu li[class*="has-children"] > a:hover:after,
.rtl .mobile-menu li[class*="has_children"] > a:hover:after { left: 12px; right: auto; }
.rtl .mobile-menu-overlay { right: 0; left: auto;}
.rtl .mobile-menu li[class*="has-children"] > a:before{ -webkit-transform: translateY(-50%) scaleX(-1); transform: translateY(-50%) scaleX(-1);}
.rtl .mobile-menu ul li.close-nav a,
.rtl .mobile-menu ul li.close-nav,
.rtl li.close-nav a{
    float: left;
}





.elementor-widget.elementor-icon-list--layout-inline .elementor-widget-container {
    overflow: hidden
}
.elementor-widget .elementor-icon-list-items.elementor-inline-items {
    margin-right: -8px; margin-left: -8px; display: flex;
}
.elementor-widget .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item {
    margin-right: 8px; margin-left: 8px
}
.elementor-widget .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:after {
    width: auto; left: auto; right: auto; position: relative; height: 100%; border-top: 0; border-bottom: 0; border-right: 0;
    border-left-width: 1px; border-style: solid; left: -8px;  right: auto;
}
.elementor-widget .elementor-icon-list-items {
    list-style-type: none; margin: 0; padding: 0
}
.elementor-widget .elementor-icon-list-item {
    margin: 0; padding: 0; position: relative
}
.elementor-widget .elementor-icon-list-item:after {
    position: absolute; bottom: 0; width: 100%
}
.elementor-widget .elementor-icon-list-item,
.elementor-widget .elementor-icon-list-item a {
    display: flex; font-size: inherit; align-items: var(--icon-vertical-align, center)
}
.elementor-widget .elementor-icon-list-icon+.elementor-icon-list-text {
    align-self: center; padding-right: 5px; padding-left: 0;
}
.elementor-widget .elementor-icon-list-icon {
    display: flex; position: relative; top: var(--icon-vertical-offset, initial)
}
.elementor-widget .elementor-icon-list-icon svg {
    width: var(--e-icon-list-icon-size, 1em); height: var(--e-icon-list-icon-size, 1em)
}
.elementor-widget .elementor-icon-list-icon i {
    width: 1.25em; font-size: var(--e-icon-list-icon-size)
}
.elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon {
    text-align: var(--e-icon-list-icon-align)
}
.elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon svg {
    margin: var(--e-icon-list-icon-margin, 0 calc(var(--e-icon-list-icon-size, 1em) * .25) 0 0)
}
.elementor-widget.elementor-list-item-link-full_width a {
    width: 100%
}
.elementor-widget.elementor-align-center .elementor-icon-list-item,
.elementor-widget.elementor-align-center .elementor-icon-list-item a {
    justify-content: start;
}
.elementor-widget.elementor-align-center .elementor-icon-list-item:after {
    margin: auto
}
.elementor-widget.elementor-align-center .elementor-inline-items {
    justify-content: center
}
.elementor-widget.elementor-align-left .elementor-icon-list-item,
.elementor-widget.elementor-align-left .elementor-icon-list-item a {
    justify-content: flex-start;
    text-align: right;
}
.elementor-widget.elementor-align-left .elementor-inline-items {
    justify-content: flex-end;
}
.elementor-widget.elementor-align-right .elementor-icon-list-item,
.elementor-widget.elementor-align-right .elementor-icon-list-item a {
    justify-content: flex-start;
    text-align: right
}
.elementor-widget.elementor-align-right .elementor-icon-list-items {
    justify-content: flex-end
}
.elementor-widget:not(.elementor-align-right) .elementor-icon-list-item:after {
    left: 0
}
.elementor-widget:not(.elementor-align-left) .elementor-icon-list-item:after {
    right: 0
}
@media (min-width:0) {
    .elementor-widget.elementor-widescreen-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-widescreen-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-widescreen-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-widescreen-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-widescreen-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-widescreen-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: left
    }
    .elementor-widget.elementor-widescreen-align-left .elementor-inline-items {
        justify-content: flex-start
    }
    .elementor-widget.elementor-widescreen-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-widescreen-align-right .elementor-icon-list-item a {
        justify-content: flex-end; text-align: right
    }
    .elementor-widget.elementor-widescreen-align-right .elementor-icon-list-items {
        justify-content: flex-end
    }
    .elementor-widget:not(.elementor-widescreen-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-widescreen-align-left) .elementor-icon-list-item:after {
        right: 0
    }
}
@media (max-width:1540px) {
    .elementor-widget.elementor-laptop-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-laptop-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-laptop-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-laptop-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-laptop-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-laptop-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: left
    }
    .elementor-widget.elementor-laptop-align-left .elementor-inline-items {
        justify-content: flex-start
    }
    .elementor-widget.elementor-laptop-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-laptop-align-right .elementor-icon-list-item a {
        justify-content: flex-end; text-align: right
    }
    .elementor-widget.elementor-laptop-align-right .elementor-icon-list-items {
        justify-content: flex-end
    }
    .elementor-widget:not(.elementor-laptop-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-laptop-align-left) .elementor-icon-list-item:after {
        right: 0
    }
}
@media (max-width:1280px) {
    .elementor-widget.elementor-tablet_extra-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-tablet_extra-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-tablet_extra-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-tablet_extra-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-tablet_extra-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-tablet_extra-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: left
    }
    .elementor-widget.elementor-tablet_extra-align-left .elementor-inline-items {
        justify-content: flex-start
    }
    .elementor-widget.elementor-tablet_extra-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-tablet_extra-align-right .elementor-icon-list-item a {
        justify-content: flex-end; text-align: right
    }
    .elementor-widget:not(.elementor-tablet_extra-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-tablet_extra-align-left) .elementor-icon-list-item:after {
        right: 0
    }
}
@media (max-width:1024px) {
    .elementor-widget.elementor-tablet-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-tablet-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-tablet-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-tablet-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-tablet-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-tablet-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: left
    }
    .elementor-widget.elementor-tablet-align-left .elementor-inline-items {
        justify-content: flex-start
    }
    .elementor-widget.elementor-tablet-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-tablet-align-right .elementor-icon-list-item a {
        justify-content: flex-end; text-align: right
    }
    .elementor-widget.elementor-tablet-align-right .elementor-icon-list-items {
        justify-content: flex-end
    }
    .elementor-widget:not(.elementor-tablet-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-tablet-align-left) .elementor-icon-list-item:after {
        right: 0
    }
}
@media (max-width:767px) {
    .elementor-widget.elementor-mobile_extra-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-mobile_extra-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-mobile_extra-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-mobile_extra-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-mobile_extra-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-mobile_extra-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: right
    }
    .elementor-widget.elementor-mobile_extra-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-mobile_extra-align-right .elementor-icon-list-item a {
        justify-content: flex-end;  text-align: right
    }
    .elementor-widget.elementor-mobile_extra-align-right .elementor-icon-list-items {
        justify-content: flex-start;
    }
    .elementor-widget:not(.elementor-mobile_extra-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-mobile_extra-align-left) .elementor-icon-list-item:after {
        right: 0
    }
    .elementor-widget.elementor-mobile_extra-align-left .elementor-inline-items{
        justify-content: flex-start;
    }
}
@media (max-width:479px) {
    .elementor-widget.elementor-mobile-align-center .elementor-icon-list-item,
    .elementor-widget.elementor-mobile-align-center .elementor-icon-list-item a {
        justify-content: center
    }
    .elementor-widget.elementor-mobile-align-center .elementor-icon-list-item:after {
        margin: auto
    }
    .elementor-widget.elementor-mobile-align-center .elementor-inline-items {
        justify-content: center
    }
    .elementor-widget.elementor-mobile-align-left .elementor-icon-list-item,
    .elementor-widget.elementor-mobile-align-left .elementor-icon-list-item a {
        justify-content: flex-start; text-align: right
    }
    .elementor-widget.elementor-mobile-align-left .elementor-inline-items {
        justify-content: flex-start
    }
    .elementor-widget.elementor-mobile-align-right .elementor-icon-list-item,
    .elementor-widget.elementor-mobile-align-right .elementor-icon-list-item a {
        justify-content: flex-end; text-align: right
    }
    .elementor-widget.elementor-mobile-align-right .elementor-icon-list-items {
        justify-content: flex-end
    }
    .elementor-widget:not(.elementor-mobile-align-right) .elementor-icon-list-item:after {
        left: 0
    }
    .elementor-widget:not(.elementor-mobile-align-left) .elementor-icon-list-item:after {
        right: 0
    }
}


/* Loader */
.rtl .loader-inner .loader-text svg {
    animation: rtl-wdt-loader-3 1s ease infinite;
}

@keyframes rtl-wdt-loader-3 {
30% {
    transform: scale(1.2);
}
40%, 60% {
    transform: rotate(20deg) scale(1.2);
}
50% {
    transform: rotate(-20deg) scale(1.2);
}
70% {
    transform: rotate(0deg) scale(1.2);
}
100% {
    transform: scale(1);
}
}


/* Newsletter */
.rtl .wdt-popup-box-window .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-icon-and-text input {
    padding-left: 12.5em;
    padding-right: 1em;
}

.rtl .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder {
    left: 0;
    right: auto;
}

.rtl .wdt-popup-box-window.mfp-wrap .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner .wdt-mailchimp-subscription-button-holder button svg {
    transform: scaleX(-1);
}

.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscription-msg .error {
    text-align: right;
}

.rtl .wdt-popup-box-window.mfp-wrap .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner ~ .mfp-close {
    left: -20px;
    right: auto;
}

.rtl #searchform ul.quick_search_results li.quick_search_data_item a {
    text-align: right;
}


/* Header */
.rtl .wdt-header-icons-list > .wdt-wishlist-count .wishlist_products_counter_number {
    left: -4px;
    right: auto;
}

.rtl .wdt-shop-menu-icon .wdt-shop-menu-cart-number, 
.rtl.wdt-header-icons-list-item .wdt-wishlist-menu-icon .wdt-wishlist-count{
    left: -4px;
    right: auto;
}


.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"]>a>span:after {
    margin-right: 8px;
    margin-left: 0px;
}

.rtl .wdt-shop-menu-icon .wdt-shop-menu-cart-content-wrapper .wdt-shop-menu-cart-content ul.cart_list li img {
    float: right;
    margin: 0 0 0 20px;
}

.rtl .wdt-shop-menu-icon ul.cart_list li a.remove {
    left: 0;
    right: auto;
}

.rtl .wdt-shop-menu-icon ul.cart_list li {
    padding: 0 0 0 20px;
}

.rtl .wdt-shop-menu-cart-content-wrapper .total {
    float: right;
    text-align: right;
}

.rtl .wdt-shop-menu-cart-content-wrapper .total .amount {
    float: left;
}

.rtl .wdt-shop-menu-cart-content-wrapper {
    left: -20px;
    right: auto;
}

.rtl .wdt-shop-menu-cart-content-wrapper:after {
    left: 26px;
    right: auto;
}

.rtl .wdt-header-menu ul li ul.children,
.rtl .wdt-header-menu ul li ul.sub-menu,
.rtl .wdt-header-menu ul li.has-mega-menu > ul {
    right: 0;
    left: auto;
}

.rtl .wdt-header-menu ul li ul.children li ul:not(.menu-item-object-wdt_mega_menus ul),
.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul) {
    right: 100%;
    left: auto;
}

.rtl .wdt-rc-template-icon-aside-content .wdt-content-item .wdt-content-detail-group {
    border: 0;
    border-right: 2px solid var(--wdtQuinaryColor);
    padding-right: 20px;
    padding-left: 0px;
}

.rtl .wdt-content-item .wdt-content-counter > *:not(:last-child) {
    margin-left: 2px;
    margin-right: 0px;
}


.rtl .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-heading-deco-inner .wdt-heading-deco-image span img {
    transform: scaleX(-1);
}

.rtl #back-to-top {
    left: 20px;
    right: auto;
    transform: scaleX(-1);
}

.rtl #back-to-top:before {
    transform: scaleX(-1);
}

.rtl .wdt-animation-wrapper div[class*="-marqee"].left-to-right {
    -webkit-animation: rtl-MarqueeRight 24s linear infinite 0ms;
    animation: rtl-MarqueeRight 24s linear infinite 0ms;
}

@keyframes rtl-MarqueeRight {
    0% {
      margin-right: 0;
}
    100% {
      margin-right: var(--wdt-marque-Margin-Width);
}
}

.rtl .woocommerce ul.products li.product .product-buttons-wrapper.product-icons a.yith-wcqv-button:before {
    transform: scaleX(-1);
}

.rtl .wdt-txt-img-style h2 > span:nth-child(3) img {
    animation: rtl-fa-spin 5s infinite;
}

@keyframes rtl-fa-spin {
    0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
}
   100% {
    -webkit-transform: rotate(-1turn);
    transform: rotate(-1turn);
}
}

.rtl .wdt-txt-img-style h2 > span:nth-child(6) img {
    animation: rtl-fa-spin 5s infinite;
    animation-direction: reverse;
}

.rtl .wdt-animation-wrapper div[class*="-marqee"].right-to-left {
    -webkit-animation: rtl-MarqueeLeft 24s linear infinite 0ms;
    animation: rtl-MarqueeLeft 24s linear infinite 0ms;
}

@keyframes rtl-MarqueeLeft {
    0% {
      margin-right: var(--wdt-marque-Margin-Width);
}
    100% {
      margin-right: 0;
}
}

.rtl .wdt-cus-testiy-style .wdt-content-item .wdt-content-elements-group {
    padding-left: 85px;
    padding-right: 0px;
}

.rtl .wdt-cus-testiy-style .wdt-content-item .wdt-content-elements-group .wdt-rating-container {
    left: 0;
    right: auto;
}

.rtl .wdt-mailchimp-holder .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder button[type='submit'] > *:last-child {
    margin: 0 10px 0 0;
    transform: scaleX(-1);
}

.rtl .wdt-column-wrapper.wdt-snap-scroll-enabled~.wdt-snap-scroll-pagination>button.wdt-pagination-next:after {
   transform: rotate(180deg);
}

.rtl .wdt-column-wrapper.wdt-snap-scroll-enabled~.wdt-snap-scroll-pagination>button.wdt-pagination-prev:after {
   transform: rotate(0deg);
}

.rtl .mfp-image-holder .mfp-close,
.rtl .mfp-iframe-holder .mfp-close {
    left: 20px !important;
    right: auto !important;
}

.rtl .woocommerce ul.products.product-label-boxed.wdt-cus-product-main-style li.product .product-labels {
    left: 55px !important;
    right: auto !important;
}



/* Home 2 */
.rtl .wdt-h2-slider-section>.elementor-background-overlay {
    transform: scaleX(-1);
}

.rtl .fadeInUp {
    animation-name: rtl-adFadeInUp !important;
}

@keyframes rtl-adFadeInUp {
    0% {
    opacity: 0;
    transform: translateY(-60px) translateZ(0) scaleY(1.4);
    transform-origin: top right;
}
   100% {
    opacity: 1;
    transform: translateY(0) translateZ(0) scaleY(1);
}
}

.rtl .wdt-cus-h2-testy-style .wdt-content-item .wdt-content-subtitle:before {
    margin-left: 5px;
    margin-right: 0px;
}

.rtl .wdt-cus-h2-testy-style .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-heading-deco-inner.wdt-right-part {
    margin-right: clamp(21.875rem, -28.1738rem + 78.125vw, 34.375rem);
    margin-left: 0px;
}

.rtl .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-content-icon-wrapper .wdt-content-icon span svg {
    transform: scaleX(-1);
}

.rtl .wdt-minimal-style.wdt-post-entry.entry-grid-layout .blog-entry.has-post-thumbnail div.entry-date:nth-child(2) {
    right: 0;
    left: auto;
    -webkit-mask-position: bottom right;
    mask-position: bottom right;
}

.rtl .wdt-fadeinright-hover .blog-entry:hover .entry-thumb > a img,
.rtl .wdt-fadeinright-hover.wdt-post-entry.entry-list-layout .blog-entry:hover .entry-thumb .blog-image > a {
    transform: translate3d(6.66%, 0, 0);
    -webkit-transform: translate3d(6.66%, 0, 0);
}



/* Home 3 */
.rtl .woocommerce ul.products.product-label-boxed.wdt-cus-product-sec-style li.product .product-labels {
    left: 10px;
    right: auto;
}

.rtl .wdt-cus-h3-icon-style .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span:after {
    right: 0;
    left: auto;
}

.rtl .wdt-rotate-icon-style .wdt-rotate-icon-style {
    -webkit-animation: rtl-wdt-rotate linear 16s infinite;
    animation: rtl-wdt-rotate linear 16s infinite;
}

@keyframes rtl-wdt-rotate {
    0% {
      transform: rotate(0deg);
}
    100% {
      transform: rotate(-360deg);
}
}

.rtl .wdt-accordion-toggle-holder[class*='-template-simple'] .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon {
    left: 0;
    right: auto;
}

.rtl .elementor-widget-container .wdt-accordion-toggle-holder[class*="-template-simple"] .wdt-accordion-toggle-title-holder {
    padding: clamp(1.25rem, 1.0337rem + 0.9615vw, 2.1875rem) 0 clamp(1.375rem, 1.1587rem + 0.9615vw, 2.3125rem) 3em;
}

.rtl .wdt-blog-list-style-simple .elementor-widget-container > .wdt-posts-list-wrapper .wdt-simple-style.wdt-post-entry.entry-list-layout .blog-entry div:not(.entry-thumb) {
    margin-right: 15px;
    margin-left: 0px;
}

.rtl .wdt-request-form-style > .wdt-col {
    direction: rtl;
}

.rtl .wpcf7 input[type="url"],
.rtl .wpcf7 input[type="email"],
.rtl .wpcf7 input[type="tel"] {
    direction: rtl;
}

.rtl .wdt-request-form-style > .wdt-col:last-child {
    text-align: right;
}

.rtl .wdt-rotate-icon-style .elementor-icon svg > g > path {
    transform: scale(1);
    rotate: 90deg;
}

.rtl .wdt-heading-holder .wdt-heading-deco-wrapper > span .wdt-heading-deco-inner[class*='-left-part'] {
    margin-left: 5px;
    margin-right: 0px;
}

.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon {
    margin-left: 0px;
    margin-right: 10px;
}

.rtl .wpcf7-form .wpcf7-response-output:before,
.rtl .wpcf7 form .wpcf7-response-output:before {
    right: 18px;
    left: auto;
}

.rtl .wpcf7-not-valid-tip {
    left: 10px;
    right: auto;
}

.rtl .wpcf7-form.invalid .wpcf7-response-output,
.rtl .wpcf7 form.invalid .wpcf7-response-output {
    display: flex;
    justify-content: flex-start;
    flex-direction: row-reverse;
}

.rtl .wpcf7-form .wpcf7-response-output,
.rtl .wpcf7 form .wpcf7-response-output {
    float: right;
    padding: 15px 45px 15px 15px;
}

/* Our-story */

.rtl .wdt-popup-box-window .wdt-popup-box-content-holder .mfp-close,
.rtl .wdt-popup-box-window .mfp-close {
    left: 0;
    right: auto;
}

.rtl .elementor-shape-top {
    transform: scaleX(-1);
}


/* Our - stores */
.rtl .wdt-cus-area-tabs-style .wdt-tabs-container[class*="-layout-vertical"] .wdt-tabs-list li:after {
    transform: rotate(135deg);
    right: -11px;
    left: auto;
}

.rtl.woocommerce ul.products.product-label-boxed.wdt-cus-product-main-style li.product .product-labels {
    left: 55px !important;
    right: auto !important;
}

.rtl .wdt-tabs-container[class*='-layout-vertical'] .wdt-tabs-list li .ui-tabs-anchor {
    text-align: right;
}

.rtl .wdt-tabs-container[class*='-icon-style-inline'] .wdt-tabs-list li .ui-tabs-anchor .wdt-content-icon {
    margin: 0 0 0 10px;
}



/* Juice Listing */

.rtl .wdticon-angle-double-right:before {
    transform: scaleX(-1);
}

.rtl.woocommerce.single-product .product .single_add_to_cart_button:before {
    margin-left: 7px;
    margin-right: 0px;
}

.rtl.woocommerce div.product form.cart div.quantity {
    margin: 10px 0 10px 10px;
}

.rtl .tinv-wishlist .tinvwl_add_to_wishlist_button.tinvwl-icon-heart:before,
.rtl.woocommerce ul.products li.product a.tinvwl-button.tinvwl_add_to_wishlist_button.tinvwl-icon-heart:before,
.rtl.woocommerce-page ul.products li.product a.tinvwl-button.tinvwl-icon-heart.tinvwl_add_to_wishlist_button:before,
.rtl a.wishlist_products_counter.top_wishlist-heart:before, 
.rtl span.wishlist_products_counter.top_wishlist-heart:before,
.rtl a.sidr-class-wishlist_products_counter.sidr-class-top_wishlist-heart:before {
    margin-left: 7px;
    margin-right: 0px;
}

.rtl .wdt-product-image-gallery-container .wdt-product-image-gallery-thumb-enlarger {
    right: 5px;
    left: auto;
}

.rtl.woocommerce table.shop_attributes tr th {
    border-left: 2px solid rgba(var(--wdtBorderColorRgb));
    border-right: none;
}

.rtl td.woocommerce-product-attributes-item__value {
    border-left: none;
}

.rtl.woocommerce table.shop_attributes td {
    text-align: right;
}

.rtl.woocommerce .woocommerce-error .button, 
.rtl.woocommerce .woocommerce-info .button, 
.rtl.woocommerce .woocommerce-message .button {
    float: left;
}

.rtl .wdt-product-image-gallery-holder .wdt-product-image-gallery-container .wdt-product-image-gallery .wdt-product-image.column:nth-child(even) {
    margin-right: 2% !important;
    margin-left: 0% !important;
}



/* Blog */
.rtl .widget .recent-posts-widget li .post-details {
    margin-right: 20px;
    margin-left: 0px;
}

.rtl .widget_tag_cloud .tagcloud a,
.rtl .widget .tagcloud a,
.rtl .wp-block-tag-cloud a {
    float: right;
    margin: 0 0 10px 10px;
}

.rtl .widget #searchform input[type="text"] {
    padding: 12px 15px 12px 15px;
    padding-left: 50px;
}

.rtl .widget #searchform input[type="submit"] {
    left: 0;
    right: auto;
}

.rtl .blog-single-entry.post-minimal .post-date-comment .single-entry-date {
    margin-left: clamp(0.3125rem, 0.2404rem + 0.3205vw, 0.625rem);
    margin-right: 0px;
}

.rtl .blog-single-entry.post-minimal .post-date-comment .single-entry-comments:before {
    margin-left: clamp(0.3125rem, 0.2404rem + 0.3205vw, 0.625rem);
    margin-right: 0px;
}

.rtl .blog-single-entry.post-minimal .post-meta .single-entry-author .meta-author-img,
.rtl .blog-single-entry.post-minimal .single-entry-author .meta-author-img {
    margin-left: 10px !important;
    margin-right: 0px !important;
}

.rtl .pagination ul li a .wdticon-angle-double-right:before, .pagination ul li a .wdticon-angle-double-left:before {
    transform: scaleX(-1);
}


/* My - Account */
.rtl .tinv-wishlist .button i, 
.rtl .tinv-wishlist .navigation-button a i{
    margin-right: 6px;
    margin-left: 0px;
}

.rtl .woocommerce form.login,
.rtl .woocommerce form.register {
    right: 50%;
    left: 0%;
    -webkit-transform: translateX(50%);
    transform: translateX(50%);
}

.rtl .comment-form-wdt-privatepolicy input[type="checkbox"] ~ label::before,
.rtl .woocommerce-form__label-for-checkbox > span::before, 
.rtl .woocommerce .woocommerce-shipping-methods input[type="radio"] ~ label::before,
.rtl.woocommerce-page #payment.woocommerce-checkout-payment ul.payment_methods li input[type="radio"] ~ label::before {
    right: 0;
    left: auto;
}

.rtl .comment-form-wdt-privatepolicy input[type="checkbox"] ~ label,
.rtl .woocommerce-form__label-for-checkbox > span,
.rtl .woocommerce .woocommerce-shipping-methods input[type="radio"] ~ label,
.rtl.woocommerce-page #payment.woocommerce-checkout-payment ul.payment_methods li input[type="radio"] ~ label {
    padding-right: 30px;
    padding-left: 0px;
}

.rtl .woocommerce form.login .woocommerce-form-row label:before,
.rtl .woocommerce form.register .woocommerce-form-row label:before {
    right: 1px;
    left: auto;
}

.rtl .woocommerce form.login .woocommerce-form-row label,
.rtl .woocommerce form.register .woocommerce-form-row label {
    padding-right: 25px;
    padding-left: 0px;
}

.rtl .woocommerce form .form-row input.input-text,
.rtl .woocommerce form .form-row textarea{
    padding: var(--wdtInputPadding);
    padding-left: 3rem;
}

.rtl .column.first {
    margin-right: 0;
}

.rtl .column {
    float: right;
    margin: 0 2% 0 0;
}

.rtl .woocommerce .woocommerce-error .button,
.rtl .woocommerce .woocommerce-info .button,
.rtl .woocommerce .woocommerce-message .button {
    float: left;
}

.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-left .tinvwl-input-group >*:not(:last-child) ,
.rtl .woocommerce.tinv-wishlist .tinvwl-to-right >*:not(:last-child){
    margin-left: 15px;
    margin-right: 0px;
}

.rtl .tinv-wishlist tfoot .tinvwl-to-right {
    float: left;
}

.rtl .woocommerce.tinv-wishlist tfoot .tinvwl-to-left:not(:empty) {
    margin-left: 0;
}

.rtl .tinv-wishlist table td:last-child,
.rtl .tinv-wishlist table th:last-child {
    border-left-width: 0 !important;
}

.rtl .tinv-wishlist table td:first-child,
.rtl .tinv-wishlist table th:first-child {
    border-right-width: 0 !important;
}

.rtl .woocommerce .wdt-cart-button,
.rtl .woocommerce-page .wdt-cart-button {
    text-align: left;
}




/* Cart */
.rtl .woocommerce .cart-collaterals table.shop_table tr th,
.rtl .woocommerce-page .cart-collaterals table.shop_table tr th,
.rtl .woocommerce .cart-collaterals table.shop_table tr td,
.rtl .woocommerce-page .cart-collaterals table.shop_table tr td {
    text-align: right;
}

.rtl .woocommerce .cart-collaterals table.shop_table tr td:last-child,
.rtl .woocommerce-page .cart-collaterals table.shop_table tr td:last-child {
    text-align: left;
}

.rtl .woocommerce .cart-collaterals .cart_totals .wc-proceed-to-checkout,
.rtl .woocommerce-page .cart-collaterals .cart_totals .wc-proceed-to-checkout {
    float: right;
}

.rtl .woocommerce table.shop_table thead th{
    text-align: right;
}

.rtl .woocommerce table.shop_table thead th:first-child,
.rtl .woocommerce-page table.shop_table thead th:first-child {
    padding-right: 30px;
    padding-left: 0px;
}





/* Checkout */
.rtl .select2-container--default .select2-selection--single .select2-selection__arrow,
.rtl .select2-container--default .select2-selection--multiple .select2-selection__arrow {
    left: 15px !important;
    right: auto !important;
}

.rtl .select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered {
    padding-right: 15px;
    padding-left: 50px;
    text-align: right;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .product-name img {
    float: right;
    margin-left: 20px;
    margin-right: 0px;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr th:last-child,
.rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr td:last-child{
    text-align: left;
}

.rtl .woocommerce .shop_table.woocommerce-checkout-review-order-table th,
.rtl .woocommerce .shop_table.woocommerce-checkout-review-order-table td {
    text-align: right;
}

.rtl .woocommerce-checkout #payment div.form-row.place-order > #place_order {
    float: right;
}

.rtl .woocommerce .woocommerce-checkout-review-order table.shop_table tr td ul#shipping_method li {
    text-align: left;
}



/* Blog - Detail */
.rtl .comment-author .avatar {
    right: -80px;
    left: auto;
}

.rtl .comment-body {
    padding-right: 80px;
    padding-left: 0px;
}

.rtl .blog-single-entry .entry-post-navigation > .post-next-link {
    text-align: left;
}

.rtl .blog-single-entry .entry-post-navigation>div.post-next-link>.nav-title-wrap p a:after {
    margin-right: 10px;
    margin-left: 0px;
    transform: scaleX(-1);
}

.rtl .blog-single-entry .entry-post-navigation>div.post-prev-link>.nav-title-wrap p a:before {
    margin-left: 10px;
    margin-right: 0px;transform: rotate(0deg);
}

.rtl .blog-single-entry .entry-post-navigation:not(.wdt-post-entry).type2 > .post-prev-link {
    border-left: 1px solid var(--wdtBorderColor);
    border-right: 0px;
    padding-left: 20px;
    padding-right: 0px;
}

.rtl .blog-single-entry .entry-post-navigation > .post-prev-link {
    text-align: right;
}

.rtl .blog-single-entry .entry-post-navigation:not(.wdt-post-entry).type2 > .post-next-link {
    padding-right: 20px;
    padding-left: 0px;
}

.rtl .blog-single-entry.post-minimal .single-entry-author .meta-author-info span,
.rtl .blog-single-entry.post-minimal .post-meta .single-entry-author .meta-author-info span {
    margin-left: 4px;
    margin-right: 0px;
}


/* Without-sidebar */
.rtl ul.children li .comment-body {
    padding-right: 60px;
    padding-left: 0px;
}

.rtl .commentlist ul.children {
    padding-right: 80px;
    padding-left: 0px;
}

.rtl .children .comment-author .avatar {
    right: -60px;
    left: auto;
}



/* Contact */
.rtl .wdt-day-list-style .wdt-content-item {
    padding-right: 20px;
    padding-left: 0px;
}

.rtl .wdt-day-list-style .wdt-content-item:before {
    right: 0;
    left: auto;
}

.rtl .wdt-day-list-style .wdt-content-item .wdt-content-media-group .wdt-content-title h5 {
    padding-left: clamp(0.5rem, 0.2548rem + 1.0897vw, 1.5625rem);
    padding-right: 0px;
}

.rtl .wdt-day-list-style .elementor-widget-container .wdt-content-item .wdt-content-media-group .wdt-content-subtitle {
    padding-right: clamp(0.5rem, 0.2548rem + 1.0897vw, 1.5625rem);
    padding-left: 0px;
}

.rtl .elementor-widget .elementor-icon-list-icon+.elementor-icon-list-text {
    padding-left: 5px;
    text-align: right;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details {
    text-align: right;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details span {
    float: right;
}

.rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details span {
    margin-left: 8px;
    margin-right: 0px;
}


















@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .rtl .woocommerce .woocommerce-checkout-review-order .shop_table tr td:last-child,
    .rtl .woocommerce .woocommerce-checkout-review-order table.shop_table tr td.product-total {
        text-align: left;
        justify-content: flex-end;
    }

    .rtl  #primary.page-with-sidebar .blog-single-entry.post-minimal .entry-post-navigation > .post-next-link {
        justify-content: flex-start;
        text-align: right;
    }

    .rtl #primary.page-with-sidebar .blog-single-entry.post-minimal .entry-post-navigation > .post-prev-link {
        justify-content: flex-end;
        text-align: left;
    }


    .rtl #primary.page-with-sidebar .blog-single-entry.post-minimal .entry-post-navigation > div:first-child {
        border-left: none;
    }
}



@media only screen and (min-width: 768px) {
    .rtl.woocommerce-account .woocommerce-MyAccount-content,
    .rtl.woocommerce-account .woocommerce .column .woocommerce-MyAccount-content {
        padding-right: 15px;
        padding-left: 0px;
    }

    .rtl .woocommerce table.shop_table tr td:not(:last-child),
    .rtl .woocommerce-page table.shop_table tr td:not(:last-child) {
        text-align: right !important;
    }
}


@media screen and (max-width: 1024px) {
    .rtl .wdt-cus-h2-testy-style .wdt-heading-holder .wdt-heading-deco-wrapper .wdt-heading-deco-inner.wdt-right-part {
        margin-right: 0;
        margin-left: 0px;
    }
}



@media only screen and (max-width: 767px) {
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:before {
        left: 27px;
        right: auto;
        -webkit-transform: rotate(-45deg) translateY(-50%);
        transform: rotate(-45deg) translateY(-50%);
    }

    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:after {
        left: 18px;
        right: auto;
        -webkit-transform: rotate(45deg) translateY(-50%);
        transform: rotate(45deg) translateY(-50%);
    }

    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list li.wdt-active a {
        padding: 10px 20px 10px 50px;
    }

    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:after {
        left: 26px;
        right: auto;
    }

    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:before {
        left: 18px;
        right: auto;
    }

    .rtl.woocommerce-account .woocommerce-MyAccount-content,
    .rtl.woocommerce-account .woocommerce .column .woocommerce-MyAccount-content{
        padding: 0;
    }

    .rtl .column{
        margin-right: 0;
    }

    .rtl .woocommerce.tinv-wishlist table td,
    .rtl .woocommerce.tinv-wishlist table th {
        padding: 10px;
    }
    
    .rtl .tinv-wishlist table tbody tr td.product-cb {
        float: right;
    }

    .rtl .tinv-wishlist table.tinvwl-table-manage-list tbody td.product-remove {
        float: left;
    }

    .rtl .woocommerce table.shop_table tr td.product-remove {
        left: 15px;
        right: auto;
    }

    .rtl .woocommerce .wdt-cart-button,
    .rtl .woocommerce-page .wdt-cart-button {
        text-align: center;
    }

    .rtl.woocommerce-cart .cart-collaterals .cart_totals table tbody tr th,
    .rtl.woocommerce-cart .cart-collaterals .cart_totals table tbody tr td,
    .rtl.woocommerce-cart .cart-collaterals .cart_totals table tbody tr td:last-child {
        text-align: center;
    }

    .rtl .commentlist ul.children {
        padding-right: 15px;
    }

    .rtl .woocommerce .woocommerce-checkout-review-order table.shop_table td.product-total {
        display: none;
    }

    .rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details span {
        margin-left: 5px;
        margin-right: 0px;
    }

}


@media only screen and (max-width: 768px) {
    .rtl .woocommerce .woocommerce-error .button,
    .rtl .woocommerce .woocommerce-info .button,
    .rtl .woocommerce .woocommerce-message .button {
        float: none;
    }
}


@media only screen and (max-width: 479px) {
    .rtl.woocommerce .woocommerce-error .button, 
    .rtl.woocommerce .woocommerce-info .button, 
    .rtl.woocommerce .woocommerce-message .button {
        float: none;
    }

    .rtl .comment-body {
        padding-right: 0;
    }

    .rtl .comment-author .avatar {
        right: 0;
    }

    .rtl .blog-single-entry .entry-post-navigation:not(.wdt-post-entry).type2 > .post-prev-link {
        border-left: 0px;
    }

    .rtl  #primary.page-with-sidebar .blog-single-entry.post-minimal .entry-post-navigation > .post-next-link {
        justify-content: flex-start;
        text-align: right;
    }

    .rtl .blog-single-entry.post-minimal .entry-post-navigation > .post-prev-link {
        justify-content: flex-end;
    }

    .rtl .blog-single-entry .entry-post-navigation:not(.wdt-post-entry).type2 > .post-prev-link {
        padding-left: 0px;
    }

    .rtl .blog-single-entry .entry-post-navigation:not(.wdt-post-entry).type2 > .post-next-link {
        padding-right: 0px;
    }
    .rtl ul.children li .comment-body {
        padding-right: 0;
    }

    .rtl .children .comment-author .avatar {
        right: 0;
    }

    .rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details {
        text-align: center;
    }

    .rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details span {
        float: none;
    }

    .rtl .woocommerce .woocommerce-checkout-review-order .shop_table .checkout-review-order-details span {
        float: none;
    }
}